#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.TopLayout import TopLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496412.2964001
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:32 2007'
__CHEETAH_src__ = 'prewikka/templates/ClassicLayout.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class ClassicLayout(TopLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        TopLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def body_class(self, **KWS):



        ## CHEETAH: generated from #def body_class() at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('classic_body\n')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def layout_start_hook(self, **KWS):



        ## CHEETAH: generated from #def layout_start_hook at line 31, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def menu_extra_content(self, **KWS):



        ## CHEETAH: generated from #def menu_extra_content at line 44, col 3.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def layout_end_hook(self, **KWS):



        ## CHEETAH: generated from #def layout_end_hook at line 51, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def toplayout_content(self, **KWS):



        ## CHEETAH: generated from #block toplayout_content at line 7, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('<div id="topmenu">\n')
        for name, link in VFFSL(SL,"interface.tabs",True): # generated from line 9, col 3
            if VFFSL(SL,"name",True) == VFFSL(SL,"interface.active_tab",True): # generated from line 10, col 5
                class_ = 'topmenu_item_active'
            else: # generated from line 12, col 5
                class_ = 'topmenu_item_inactive'
            write('    <div class="')
            _v = VFFSL(SL,"class_",True) # '$class_' on line 15, col 17
            if _v is not None: write(_filter(_v, rawExpr='$class_')) # from line 15, col 17.
            write('"><p><a href="')
            _v = VFFSL(SL,"link",True) # '$link' on line 15, col 38
            if _v is not None: write(_filter(_v, rawExpr='$link')) # from line 15, col 38.
            write('">')
            _v = VFFSL(SL,"name",True) # '$name' on line 15, col 45
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 15, col 45.
            write('</a></p></div>\n')
        write('\n  <div class="topmenu_item_special">\n')
        if VFFSL(SL,"prewikka.logout_link",True): # generated from line 19, col 3
            write('    <p><a href="')
            _v = VFFSL(SL,"prewikka.logout_link",True) # '$prewikka.logout_link' on line 20, col 17
            if _v is not None: write(_filter(_v, rawExpr='$prewikka.logout_link')) # from line 20, col 17.
            write('">logout</a></p>\n')
        write('''  </div>

  <div class="topmenu_item_info">
''')
        if VFFSL(SL,"prewikka.user",True): # generated from line 25, col 5
            write('     <p><b><a href="?view=user_settings_display">')
            _v = VFFSL(SL,"prewikka.user.login",True) # '$prewikka.user.login' on line 26, col 50
            if _v is not None: write(_filter(_v, rawExpr='$prewikka.user.login')) # from line 26, col 50.
            write('</a></b> on ')
            _v = VFFSL(SL,"prewikka.date",True) # '$prewikka.date' on line 26, col 82
            if _v is not None: write(_filter(_v, rawExpr='$prewikka.date')) # from line 26, col 82.
            write('</p>\n')
        write('''  </div>
</div>

''')
        _v = VFFSL(SL,"layout_start_hook",True) # '$layout_start_hook' on line 33, col 1
        if _v is not None: write(_filter(_v, rawExpr='$layout_start_hook')) # from line 33, col 1.
        write('''

<div id="menu">
''')
        for name, link in VFFSL(SL,"interface.sections",True): # generated from line 36, col 3
            if VFFSL(SL,"name",True) == VFFSL(SL,"interface.active_section",True): # generated from line 37, col 5
                class_ = 'menu_item_active'
            else: # generated from line 39, col 5
                class_ = 'menu_item_inactive'
            write('    <a class="')
            _v = VFFSL(SL,"class_",True) # '$class_' on line 42, col 15
            if _v is not None: write(_filter(_v, rawExpr='$class_')) # from line 42, col 15.
            write('" href="')
            _v = VFFSL(SL,"link",True) # '$link' on line 42, col 30
            if _v is not None: write(_filter(_v, rawExpr='$link')) # from line 42, col 30.
            write('">')
            _v = VFFSL(SL,"name",True) # '$name' on line 42, col 37
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 42, col 37.
            write('</a>\n')
        write('  ')
        _v = VFFSL(SL,"menu_extra_content",True) # '$menu_extra_content' on line 46, col 3
        if _v is not None: write(_filter(_v, rawExpr='$menu_extra_content')) # from line 46, col 3.
        write('''
</div>
		
<div id="main">''')
        _v = VFFSL(SL,"main_content",True) # '$main_content' on line 49, col 16
        if _v is not None: write(_filter(_v, rawExpr='$main_content')) # from line 49, col 16.
        write('</div>\n\n')
        _v = VFFSL(SL,"layout_end_hook",True) # '$layout_end_hook' on line 53, col 1
        if _v is not None: write(_filter(_v, rawExpr='$layout_end_hook')) # from line 53, col 1.
        write('\n\n')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n\n')
        self.toplayout_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_ClassicLayout= 'writeBody'

## END CLASS DEFINITION

if not hasattr(ClassicLayout, '_initCheetahAttributes'):
    templateAPIClass = getattr(ClassicLayout, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(ClassicLayout)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=ClassicLayout()).run()


