#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.TopLayout import TopLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496411.7899001
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:31 2007'
__CHEETAH_src__ = 'prewikka/templates/ErrorTemplate.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class ErrorTemplate(TopLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        TopLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def toplayout_content(self, **KWS):



        ## CHEETAH: generated from #block toplayout_content at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('<div id="fieldset_page" style="position: absolute; top: 25%; left: 50%; width:600px; margin-left:-300px;">\n  <fieldset style="text-align: center; vertical-align: middle;"> \n   <legend class="error_name">')
        _v = VFFSL(SL,"name",True) # '$name' on line 6, col 31
        if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 6, col 31.
        write('</legend>\n   <p><b>')
        _v = VFFSL(SL,"message",True) # '$message' on line 7, col 10
        if _v is not None: write(_filter(_v, rawExpr='$message')) # from line 7, col 10.
        write('</b></p>\n   Failed query: <input type="text" value="')
        _v = VFFSL(SL,"prewikka.query_string",True) # '$prewikka.query_string' on line 8, col 44
        if _v is not None: write(_filter(_v, rawExpr='$prewikka.query_string')) # from line 8, col 44.
        write('" style="width: 200px;" />\n')
        if VFFSL(SL,"traceback",True): # generated from line 9, col 4
            write('     <br/><br/>\n     <textarea rows=10 cols=75 readonly>')
            _v = VFFSL(SL,"traceback",True) # '$traceback' on line 11, col 41
            if _v is not None: write(_filter(_v, rawExpr='$traceback')) # from line 11, col 41.
            write('</textarea>\n')
        write('''
   <br/><br/>
   
   <form action="?" method="get">
''')
        if VFN(VFFSL(SL,"prewikka.url.current",True),"has_key",False)('_error_back'): # generated from line 17, col 6
            md = VFFSL(SL,"eval",False)(VFN(VFFSL(SL,"prewikka.url",True),"current",True)['_error_back'][0], {"__builtins__": {}})
        else: # generated from line 19, col 6
            md = VFFSL(SL,"prewikka.url.referer",True)
        write('\n')
        for param, values in VFN(VFFSL(SL,"md",True),"items",False)(): # generated from line 23, col 6
            for value in VFFSL(SL,"values",True): # generated from line 24, col 7
                write('         <input type="hidden" name="')
                _v = VFFSL(SL,"param",True) # '$param' on line 25, col 37
                if _v is not None: write(_filter(_v, rawExpr='$param')) # from line 25, col 37.
                write('" value="')
                _v = VFFSL(SL,"value",True) # '$value' on line 25, col 52
                if _v is not None: write(_filter(_v, rawExpr='$value')) # from line 25, col 52.
                write('"/>\n')
        write('''     <input style="float: left; position: relative;" type="submit" value="Back"/>
   </form>

   <form action="?" method="post">
''')
        have_back = False
        write('\n')
        for param, values in VFN(VFFSL(SL,"prewikka.url.current",True),"items",False)(): # generated from line 34, col 6
            if VFFSL(SL,"param",True) == "_error_back": # generated from line 35, col 8
                have_back = True
            write('\n')
            for value in VFFSL(SL,"values",True): # generated from line 39, col 8
                write('         <input type="hidden" name="')
                _v = VFFSL(SL,"param",True) # '$param' on line 40, col 37
                if _v is not None: write(_filter(_v, rawExpr='$param')) # from line 40, col 37.
                write('" value="')
                _v = VFFSL(SL,"value",True) # '$value' on line 40, col 52
                if _v is not None: write(_filter(_v, rawExpr='$value')) # from line 40, col 52.
                write('"/>\n')
        write('\n')
        if not VFFSL(SL,"have_back",True) and VFFSL(SL,"len",False)(VFFSL(SL,"prewikka.url.referer",True)) > 0: # generated from line 44, col 1
            write('     <input type="hidden" name="_error_back" value="')
            _v = VFFSL(SL,"prewikka.url.referer",True) # '$prewikka.url.referer' on line 45, col 53
            if _v is not None: write(_filter(_v, rawExpr='$prewikka.url.referer')) # from line 45, col 53.
            write('"/>\n')
        write('''
     <input style="float: right; position: relative;" type="submit" value="Retry"/>
   </form>

  </fieldset>
 </div>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        self.toplayout_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_ErrorTemplate= 'writeBody'

## END CLASS DEFINITION

if not hasattr(ErrorTemplate, '_initCheetahAttributes'):
    templateAPIClass = getattr(ErrorTemplate, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(ErrorTemplate)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=ErrorTemplate()).run()


