#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka import utils
from prewikka.templates.ClassicLayout import ClassicLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496411.7364359
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:31 2007'
__CHEETAH_src__ = 'prewikka/templates/FilterEdition.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class FilterEdition(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        ClassicLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('<script type="text/javascript"><!--\nfunction newFilterElement(name, object, operator, object_value) {\n\tobjects = new Array(')
        _v = VFFSL(SL,"objects",True) # '$objects' on line 7, col 22
        if _v is not None: write(_filter(_v, rawExpr='$objects')) # from line 7, col 22.
        write(')\n\toperators = new Array(')
        _v = VFFSL(SL,"operators",True) # '$operators' on line 8, col 24
        if _v is not None: write(_filter(_v, rawExpr='$operators')) # from line 8, col 24.
        write(''')

	table = document.getElementById("elements")

	if ( ! name ) {
		if ( table.lastChild.nodeName == "TR" ) {
			child = table.lastChild.firstChild.firstChild
			name = new String(child.nodeValue)
			if ( name.charAt(name.length - 1) == "Z" ) {
				name = name.concat("A")
			} else {
				name = name.substr(0, name.length - 1) +
						   String.fromCharCode(name.charCodeAt(name.length - 1) + 1)
			}
		} else {
			name = "A"
		}
	}

	row = document.createElement("tr")
	table.appendChild(row)

	field = document.createElement("td")
	row.appendChild(field)
	value = document.createTextNode(name)
	field.appendChild(value)

	field = document.createElement("td")
	row.appendChild(field)
	select = document.createElement("select")
	field.appendChild(select)
	select.setAttribute("name", "object_" + name)
	for ( var i = 0; i < objects.length; i++ ) {
		option = document.createElement("option")
		if ( object == objects[i] ) {
			option.setAttribute("selected", "true")
		}
		option.setAttribute("value", objects[i])
		select.appendChild(option)
		value = document.createTextNode(objects[i])
		option.appendChild(value)
	}

	field = document.createElement("td")
	row.appendChild(field)
	select = document.createElement("select")
	field.appendChild(select)
	select.setAttribute("name", "operator_" + name)
	for ( var i = 0; i < operators.length; i++ ) {
		/* NB: setting selected to true before adding option to select is mandatory,
                   if it is done after, it won't work  */
		option = document.createElement("option")
		if ( operator == operators[i] ) {
			option.setAttribute("selected", "true")
		}
		select.appendChild(option)
		option.setAttribute("value", operators[i])
		value = document.createTextNode(operators[i])
		option.appendChild(value)
	}

	field = document.createElement("td")
	row.appendChild(field)
	input = document.createElement("input")
	field.appendChild(input)
	/* NB: if type=text is set before value=something, the value won't be displayed */
	/*input.setAttribute("type", "text")*/
	input.setAttribute("name", "value_" + name)
	input.setAttribute("value", object_value)

	field = document.createElement("td")
	row.appendChild(field)
	link = document.createElement("a")
	link.setAttribute("href", "#")
	field.appendChild(link)
	link.onclick = function() { this.parentNode.parentNode.parentNode.removeChild(this.parentNode.parentNode) }
	link.setAttribute("style", "position: relative; float: right;")
	value = document.createTextNode("-")
	link.appendChild(value)
}
//--></script>

''')
        _orig_filter_75181455 = _filter
        filterName = 'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
<div id="fieldset_page" style="display: table-cell;">

<fieldset class="fieldset_heading">
<legend>Available filters</legend>
<form action="?" method="post">
  <input type="hidden" name="view" value="filter_edition"/>

  <select style="width: 400px;" name="filter_name">
    <option value="">&nbsp;</option>
''')
        for f in VFFSL(SL,"filters",True): # generated from line 101, col 3
            if VFFSL(SL,"f",True) == VFFSL(SL,"fltr.name",True): # generated from line 102, col 5
                selected = "selected=\"selected\""
            else: # generated from line 104, col 5
                selected = ""
            write('    <option value="')
            _v = VFFSL(SL,"f",True) # '$f' on line 107, col 20
            if _v is not None: write(_filter(_v, rawExpr='$f')) # from line 107, col 20.
            write('" ')
            _v = VFFSL(SL,"selected",True) # '$selected' on line 107, col 24
            if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 107, col 24.
            write('>')
            _v = VFFSL(SL,"f",True) # '$f' on line 107, col 34
            if _v is not None: write(_filter(_v, rawExpr='$f')) # from line 107, col 34.
            write('</option>\n')
        write('''  </select>

  <input type="submit" name="mode" value="Load"/>
  <input type="submit" name="mode" value="Delete"/>
</form>
</fieldset>

<br/>

<form action="?" method="post">
<input type="hidden" name="view" value="filter_edition"/>

<fieldset>
<legend>Edition</legend>
<table>
 <tfoot>
  <tr>
   <td style="text-align: right;" colspan="4">&nbsp;</td>
   <td><a style="text-align: right;" href="javascript:newFilterElement('', '', '', '')">+</a></td>
  </tr>
 </tfoot>
 <tbody id="elements"></tbody>
</table>

''')
        _filter = _orig_filter_75181455
        write('<script type="text/javascript"><!--\n')
        for element in VFFSL(SL,"elements",True): # generated from line 135, col 1
            write('\tnewFilterElement("')
            _v = VFN(VFFSL(SL,"utils",True),"escape_attribute",False)(VFFSL(SL,"element.name",True)) # '$utils.escape_attribute($element.name)' on line 136, col 20
            if _v is not None: write(_filter(_v, rawExpr='$utils.escape_attribute($element.name)')) # from line 136, col 20.
            write('", "')
            _v = VFN(VFFSL(SL,"utils",True),"escape_attribute",False)(VFFSL(SL,"element.object",True)) # '$utils.escape_attribute($element.object)' on line 136, col 62
            if _v is not None: write(_filter(_v, rawExpr='$utils.escape_attribute($element.object)')) # from line 136, col 62.
            write('", "')
            _v = VFN(VFFSL(SL,"utils",True),"escape_attribute",False)(VFFSL(SL,"element.operator",True)) # '$utils.escape_attribute($element.operator)' on line 136, col 106
            if _v is not None: write(_filter(_v, rawExpr='$utils.escape_attribute($element.operator)')) # from line 136, col 106.
            write('", "')
            _v = VFN(VFFSL(SL,"utils",True),"escape_attribute",False)(VFFSL(SL,"element.value",True)) # '$utils.escape_attribute($element.value)' on line 136, col 152
            if _v is not None: write(_filter(_v, rawExpr='$utils.escape_attribute($element.value)')) # from line 136, col 152.
            write('");\n')
        write('//--></script>\n')
        _orig_filter_93220074 = _filter
        filterName = 'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
<br />


<table>
 <tr>
  <th>Formula:</th>
  <td><input style="width: 400px;" type="text" name="formula" value="''')
        _v = VFFSL(SL,"formula",True) # '$formula' on line 147, col 70
        if _v is not None: write(_filter(_v, rawExpr='$formula')) # from line 147, col 70.
        write('''"/></td>
 </tr>
 <tr>
  <th>name:</th>
  <td><input style="width: 400px;" type="text" name="save_as" value="''')
        _v = VFFSL(SL,"fltr.name",True) # '$fltr.name' on line 151, col 70
        if _v is not None: write(_filter(_v, rawExpr='$fltr.name')) # from line 151, col 70.
        write('''"/></td>
 </tr>
 <tr>
  <th style="vertical-align: top;">comment:</th>
  <td><textarea style="width: 400px;" name="filter_comment" rows="4" cols="55">''')
        _v = VFFSL(SL,"fltr.comment",True) # '$fltr.comment' on line 155, col 80
        if _v is not None: write(_filter(_v, rawExpr='$fltr.comment')) # from line 155, col 80.
        write('''</textarea></td>
 </tr>
</table>

<input style="float: right;" type="submit" name="mode" value="Save"/> 
</fieldset>
</form>

</div>
''')
        _filter = _orig_filter_93220074
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_FilterEdition= 'writeBody'

## END CLASS DEFINITION

if not hasattr(FilterEdition, '_initCheetahAttributes'):
    templateAPIClass = getattr(FilterEdition, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(FilterEdition)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=FilterEdition()).run()


