#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.ClassicLayout import ClassicLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496411.882009
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:31 2007'
__CHEETAH_src__ = 'prewikka/templates/MessageSummary.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class MessageSummary(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        ClassicLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def display_table(self, section, depth, **KWS):



        ## CHEETAH: generated from #def display_table($section, $depth) at line 8, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        table_cnt = 0
        for table in VFFSL(SL,"section.tables",True): # generated from line 11, col 3
            write('\t\t\n')
            if VFFSL(SL,"depth",True) == 0 and VFFSL(SL,"table_cnt",True) > 0 and VFN(VFFSL(SL,"table.style",True),"find",False)("inline") == -1: # generated from line 13, col 3
                write('\t\t  <br/>\n')
            write('\n')
            if VFFSL(SL,"table.odd_even",True): # generated from line 17, col 17
                write('\t\t<table class="')
                _v = VFFSL(SL,"table.class",True) # '$table.class' on line 18, col 17
                if _v is not None: write(_filter(_v, rawExpr='$table.class')) # from line 18, col 17.
                write(' ')
                _v = VFFSL(SL,"row_classes",True)[VFFSL(SL,"table_cnt",True) % 2] # '$row_classes[$table_cnt % 2]' on line 18, col 30
                if _v is not None: write(_filter(_v, rawExpr='$row_classes[$table_cnt % 2]')) # from line 18, col 30.
                write('" style="')
                _v = VFFSL(SL,"table.style",True) # '$table.style' on line 18, col 67
                if _v is not None: write(_filter(_v, rawExpr='$table.style')) # from line 18, col 67.
                write('">\n')
            else: # generated from line 19, col 3
                write('\t\t<table class="')
                _v = VFFSL(SL,"table.class",True) # '$table.class' on line 20, col 17
                if _v is not None: write(_filter(_v, rawExpr='$table.class')) # from line 20, col 17.
                write('" style="')
                _v = VFFSL(SL,"table.style",True) # '$table.style' on line 20, col 38
                if _v is not None: write(_filter(_v, rawExpr='$table.style')) # from line 20, col 38.
                write('">\n')
            write('\n')
            table_cnt += 1
            row_class = ""
            for row in VFFSL(SL,"table.rows",True): # generated from line 25, col 4
                write('\t\t  <tr class="')
                _v = VFFSL(SL,"row_class",True) # '$row_class' on line 26, col 16
                if _v is not None: write(_filter(_v, rawExpr='$row_class')) # from line 26, col 16.
                write('" style="">\n')
                for col in row: # generated from line 27, col 6
                    if VFFSL(SL,"col.header",True): # generated from line 28, col 7
                        write('\t\t     <th>')
                        _v = VFFSL(SL,"col.name",True) # '$col.name' on line 29, col 12
                        if _v is not None: write(_filter(_v, rawExpr='$col.name')) # from line 29, col 12.
                        write('</th>\n')
                        row_class = "table_row_even"
                    elif VFFSL(SL,"col.tables",True): # generated from line 31, col 7
                        write('\t\t     <td>')
                        _v = VFFSL(SL,"display_table",False)(VFFSL(SL,"col",True), VFFSL(SL,"depth",True) + 1) # '$display_table($col, $depth + 1)' on line 32, col 12
                        if _v is not None: write(_filter(_v, rawExpr='$display_table($col, $depth + 1)')) # from line 32, col 12.
                        write('</td>\n')
                        row_class = ""
                    else: # generated from line 34, col 21
                        write('\t\t     <td class="')
                        _v = VFFSL(SL,"col.class",True) # '$col.class' on line 35, col 19
                        if _v is not None: write(_filter(_v, rawExpr='$col.class')) # from line 35, col 19.
                        write('">')
                        _v = VFFSL(SL,"col.name",True) # '$col.name' on line 35, col 31
                        if _v is not None: write(_filter(_v, rawExpr='$col.name')) # from line 35, col 31.
                        write('</td>\n')
                write('\t\t  </tr>\n')
            write('\t\t</table>\n')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def display_node(self, sections, **KWS):



        ## CHEETAH: generated from #def display_node($sections) at line 45, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        for section in VFFSL(SL,"sections",True): # generated from line 46, col 1
            write('        <fieldset class="fieldset_heading">\n')
            name = "section_" + VFFSL(SL,"str",False)(VFFSL(SL,"section_cnt",True)) + ".id"
            write('\t\t<legend><a href="#" onclick="javascript:toggleVisibility(\'')
            _v = VFFSL(SL,"name",True) # '$name' on line 49, col 61
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 49, col 61.
            write('\'); return false;">')
            _v = VFFSL(SL,"section.title",True) # '$section.title' on line 49, col 85
            if _v is not None: write(_filter(_v, rawExpr='$section.title')) # from line 49, col 85.
            write('</a></legend>\n\n\t\t<div id="')
            _v = VFFSL(SL,"name",True) # '$name' on line 51, col 12
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 51, col 12.
            write('" style="display: ')
            _v = VFFSL(SL,"section.display",True) # '$section.display' on line 51, col 35
            if _v is not None: write(_filter(_v, rawExpr='$section.display')) # from line 51, col 35.
            write('; width: 100%;">\n\t\t')
            _v = VFFSL(SL,"display_table",False)(VFFSL(SL,"section",True), 0) # '$display_table($section, 0)' on line 52, col 3
            if _v is not None: write(_filter(_v, rawExpr='$display_table($section, 0)')) # from line 52, col 3.
            write('\n\n')
            if VFFSL(SL,"section.entries",True): # generated from line 54, col 3
                write('\t\t<table class="section_alert_entries">\n\t\t\t\n')
                cnt = 0
                for entry in VFFSL(SL,"section.entries",True): # generated from line 58, col 4
                    write('\n                             \n\t\t\t\t<tr class="section_alert_entry ')
                    _v = VFFSL(SL,"row_classes",True)[VFFSL(SL,"cnt",True) % 2] # '$row_classes[$cnt % 2]' on line 61, col 36
                    if _v is not None: write(_filter(_v, rawExpr='$row_classes[$cnt % 2]')) # from line 61, col 36.
                    write('">\n')
                    if VFFSL(SL,"entry.name",True): # generated from line 62, col 19
                        write('                                 <th style="text-align: left; width:150px;">')
                        _v = VFFSL(SL,"entry.name",True) # '$entry.name' on line 63, col 77
                        if _v is not None: write(_filter(_v, rawExpr='$entry.name')) # from line 63, col 77.
                        write('</th>\n')
                    write('\t\t\t\t <td class="')
                    _v = VFFSL(SL,"entry_value_classes",True)[VFFSL(SL,"entry.emphase",True)] # '$entry_value_classes[$entry.emphase]' on line 65, col 17
                    if _v is not None: write(_filter(_v, rawExpr='$entry_value_classes[$entry.emphase]')) # from line 65, col 17.
                    write('">')
                    _v = VFFSL(SL,"entry.value",True) # '$entry.value' on line 65, col 55
                    if _v is not None: write(_filter(_v, rawExpr='$entry.value')) # from line 65, col 55.
                    write('''</td>
				</tr>

''')
                    cnt += 1
                write('\t\t</table>\n')
            write('\n')
            self._CHEETAH__globalSetVars["section_cnt"] += 1
            write('\n')
            if VFFSL(SL,"section.sections",True): # generated from line 75, col 3
                write('\t\t    ')
                _v = VFFSL(SL,"display_node",False)(VFFSL(SL,"section.sections",True)) # '$display_node($section.sections)' on line 76, col 7
                if _v is not None: write(_filter(_v, rawExpr='$display_node($section.sections)')) # from line 76, col 7.
                write('\n')
            write('''
		</div>

	</fieldset>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        self._CHEETAH__globalSetVars["section_cnt"] = 0
        self._CHEETAH__globalSetVars["row_classes"] = ("table_row_even", "table_row_odd")
        self._CHEETAH__globalSetVars["entry_value_classes"] = ("section_alert_entry_value_normal", "section_alert_entry_value_emphasis")
        write('''



<div id="fieldset_page">
''')
        _v = VFFSL(SL,"display_node",False)(VFFSL(SL,"sections",True)) # '$display_node($sections)' on line 86, col 1
        if _v is not None: write(_filter(_v, rawExpr='$display_node($sections)')) # from line 86, col 1.
        write('''
</div>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_MessageSummary= 'writeBody'

## END CLASS DEFINITION

if not hasattr(MessageSummary, '_initCheetahAttributes'):
    templateAPIClass = getattr(MessageSummary, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(MessageSummary)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=MessageSummary()).run()


