#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.ClassicLayout import ClassicLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496410.8715241
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:30 2007'
__CHEETAH_src__ = 'prewikka/templates/PropertiesChangeForm.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class PropertiesChangeForm(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        ClassicLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('<form action="?" method="post">\n')
        for name, value in VFFSL(SL,"hiddens",True): # generated from line 5, col 1
            write('\t<input type="hidden" name="')
            _v = VFFSL(SL,"name",True) # '$name' on line 6, col 29
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 6, col 29.
            write('" value="')
            _v = VFFSL(SL,"value",True) # '$value' on line 6, col 43
            if _v is not None: write(_filter(_v, rawExpr='$value')) # from line 6, col 43.
            write('"/>\n')
        write('        <table class="properties_change_table">\n')
        row_classes = ("table_row_even", "table_row_odd")
        cnt = 0
        for property in VFFSL(SL,"properties",True): # generated from line 11, col 2
            write('\t\t<tr class="')
            _v = VFFSL(SL,"row_classes",True)[VFFSL(SL,"cnt",True)%2] # '$row_classes[$cnt%2]' on line 12, col 14
            if _v is not None: write(_filter(_v, rawExpr='$row_classes[$cnt%2]')) # from line 12, col 14.
            write('">\n\t\t\t<td>')
            _v = VFFSL(SL,"property.name",True) # '$property.name' on line 13, col 8
            if _v is not None: write(_filter(_v, rawExpr='$property.name')) # from line 13, col 8.
            write('</td>\n')
            if VFFSL(SL,"property.value",True): # generated from line 14, col 4
                if VFFSL(SL,"property.type",True) == 'checkbox': # generated from line 15, col 5
                    value = 'checked'
                else: # generated from line 17, col 5
                    value = "value=" + VFFSL(SL,"property.value",True)
            else: # generated from line 20, col 4
                value = ""
            write('\t\t\t<td><input type="')
            _v = VFFSL(SL,"property.type",True) # '$property.type' on line 23, col 21
            if _v is not None: write(_filter(_v, rawExpr='$property.type')) # from line 23, col 21.
            write('" name="')
            _v = VFFSL(SL,"property.parameter",True) # '$property.parameter' on line 23, col 43
            if _v is not None: write(_filter(_v, rawExpr='$property.parameter')) # from line 23, col 43.
            write('" ')
            _v = VFFSL(SL,"value",True) # '$value' on line 23, col 64
            if _v is not None: write(_filter(_v, rawExpr='$value')) # from line 23, col 64.
            write('/></td>\n\t\t</tr>\n')
            cnt += 1
        write('\t</table>\n\t<br/>\n\t<input type="submit" value="')
        _v = VFFSL(SL,"submit",True) # '$submit' on line 29, col 30
        if _v is not None: write(_filter(_v, rawExpr='$submit')) # from line 29, col 30.
        write('"/>\n</form>\n')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_PropertiesChangeForm= 'writeBody'

## END CLASS DEFINITION

if not hasattr(PropertiesChangeForm, '_initCheetahAttributes'):
    templateAPIClass = getattr(PropertiesChangeForm, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(PropertiesChangeForm)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=PropertiesChangeForm()).run()


