#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.ClassicLayout import ClassicLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc7'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 7)
__CHEETAH_genTime__ = 1173496411.922857
__CHEETAH_genTimestamp__ = 'Fri Mar  9 20:13:31 2007'
__CHEETAH_src__ = 'prewikka/templates/UserListing.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Nov 18 04:30:32 2006'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class UserListing(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        ClassicLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<form action="?" method="post">
<input type="hidden" name="view" value="user_delete"/>

<table class="user_list_table">
  <thead>
    <tr>
      <td>Login</td>
''')
        perm_cnt = 2
        for perm in VFFSL(SL,"permissions",True): # generated from line 12, col 9
            perm_cnt += 1
            write('          <td>')
            _v = VFN(VFFSL(SL,"perm",True),"replace",False)("_", " ")
            if _v is not None: write(_filter(_v))
            write('</td>\n')
        write('''      </tr>
  </thead>
  <tbody>
''')
        row_classes = ("table_row_even", "table_row_odd")
        cnt = 0
        for user in VFFSL(SL,"users",True): # generated from line 21, col 3
            write('    <tr class="')
            _v = VFFSL(SL,"row_classes",True)[VFFSL(SL,"cnt",True)%2] # '$row_classes[$cnt%2]' on line 22, col 16
            if _v is not None: write(_filter(_v, rawExpr='$row_classes[$cnt%2]')) # from line 22, col 16.
            write('">\n      <td><a href="')
            _v = VFFSL(SL,"user.settings_link",True) # '$user.settings_link' on line 23, col 20
            if _v is not None: write(_filter(_v, rawExpr='$user.settings_link')) # from line 23, col 20.
            write('">')
            _v = VFFSL(SL,"user.login",True) # '$user.login' on line 23, col 41
            if _v is not None: write(_filter(_v, rawExpr='$user.login')) # from line 23, col 41.
            write('</a></td>\n')
            for perm in VFFSL(SL,"user.permissions",True): # generated from line 24, col 7
                perm = ("", "x")[VFFSL(SL,"perm",True)]
                write('        <td>')
                _v = VFFSL(SL,"perm",True) # '$perm' on line 26, col 13
                if _v is not None: write(_filter(_v, rawExpr='$perm')) # from line 26, col 13.
                write('</td>\n')
            write('      <td><input class="checkbox" type="checkbox" name="users" value="')
            _v = VFFSL(SL,"user.login",True) # '$user.login' on line 28, col 71
            if _v is not None: write(_filter(_v, rawExpr='$user.login')) # from line 28, col 71.
            write('"/></td>\n    </tr>\n')
            cnt += 1
        write('\n  <tr>\n    <td colspan="')
        _v = VFFSL(SL,"perm_cnt",True) # '$perm_cnt' on line 34, col 18
        if _v is not None: write(_filter(_v, rawExpr='$perm_cnt')) # from line 34, col 18.
        write('''" style="text-align: right;">
     <input style="float: right;" type="submit" value="Delete user"/></form>

     <form action="?" method="get">
      <input type="hidden" name="view" value="user_add_form"/>
      <input style="float: left;" type="submit" value="Create user"/>
     </form>
    </td>
  </tr>

  </tbody>
</table>
</form>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('\n')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_UserListing= 'writeBody'

## END CLASS DEFINITION

if not hasattr(UserListing, '_initCheetahAttributes'):
    templateAPIClass = getattr(UserListing, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(UserListing)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=UserListing()).run()


